{{#intl locales="bs-Latn"}}
<h3>Kviz: {{quiz.title}}</h1>

    {{#if currentUser.isAdmin}}
    <form action="{{quiz._id}}/questions" method="POST">
        <div class="input-group mb-3">
            <input type="text" name="title" class="form-control" placeholder="Dodaj pitanje">
            <input type="text" name="points" class="form-control" placeholder="Broj poena">
            <div class="input-group-append">
                <button class="btn btn-outline-secondary" type="submit">Dodaj</button>
            </div>
        </div>
    </form>
    <br>
    <a href="/quizes/{{quiz._id}}/results" type="button" class="btn btn-success btn-block">Rezultati kviza</a>
    {{/if}}
    <br />
    {{#unless quiz.isExpired}}
    <button type="button" class="btn btn-secondary btn-sm btn-block" onclick="location.reload(true)"><i class="fas fa-sync-alt"></i>
        Osvježi stranicu</button>
    <br />
    <div>

        <p><b>Početak kviza: {{formatRelative quiz.startDate}}</b></p>
        <p><b>Završetak kviza: {{formatRelative quiz.endDate}}</b></p>
    </div>

    {{else}}
    <div class=" alert alert-danger tutorial-alert" role="alert">
        <h6>KVIZ VIŠE NIJE AKTIVAN!</h6>
    </div>
    <br>
    <br>
    <div>
        <a href="/quizes/{{quiz._id}}/user/{{currentUser._id}}/review" type="button" class="btn btn-secondary btn-block">Prikaz odgovora i poena</a>

    </div>
    <br>
    <br>
    {{/unless}}

    <h4>Pitanja:</h4>
    {{#if quiz.question}}
    {{#if quiz.isActive}}
    {{#each quiz.dispayableQuestions}}
    <ul class="list-group list-group-flush">

        <li class="list-group-item d-flex justify-content-between align-items-center">
            <a href="{{../quiz._id}}/questions/{{_id}}">
                <b>{{#plus 1 @index}}{{/plus}}. {{title}}</b>
            </a>

            {{#if ../currentUser.isAdmin}}
            <form action="{{../quiz._id}}/questions/{{_id}}/delete" method="POST">
                <span>
                    <button type="submit" class="btn btn-danger btn-sm btn-block">
                        <i class="fas fa-trash-alt"></i>
                    </button>
                </span>
            </form>
            {{else}}
            <span class="badge badge-primary badge-pill">{{points}} poena</span>
            {{/if}}
        </li>

    </ul>
    {{/each}}
    {{else}}
    {{#if currentUser.isAdmin}}
    <!-- See requirement R3 in the tasks to understand this mess :D-->
    {{#each quiz.question}}
    <ul class="list-group list-group-flush">

        <li class="list-group-item d-flex justify-content-between align-items-center">
            <a href="{{../quiz._id}}/questions/{{_id}}">
                <b>{{#plus 1 @index}}{{/plus}}. {{title}}</b>
            </a>

            {{#if ../currentUser.isAdmin}}
            <div class="row">
                <a href="{{../quiz._id}}/questions/{{_id}}/review" type="button" class="btn btn-info btn-sm col">
                    <i class="fas fa-check-square"></i>
                </a>

                <form class="col" action="{{../quiz._id}}/questions/{{_id}}/delete" method="POST">
                    <span>
                        <button type="submit" class="btn btn-danger btn-sm btn-block">
                            <i class="fas fa-trash-alt"></i>
                        </button>
                    </span>
                </form>
            </div>
            {{else}}
            <span class="badge badge-primary badge-pill">{{points}} poena</span>
            {{/if}}
        </li>

    </ul>
    {{/each}}
    {{else}}
    {{#each quiz.dispayableQuestions}}
    <ul class="list-group list-group-flush">

        <li class="list-group-item d-flex justify-content-between align-items-center">
            <a href="{{../quiz._id}}/questions/{{_id}}">
                <b>{{#plus 1 @index}}{{/plus}}. {{title}}</b>
            </a>

            {{#if ../currentUser.isAdmin}}
            <form action="{{../quiz._id}}/questions/{{_id}}/delete" method="POST">
                <span>
                    <button type="submit" class="btn btn-danger btn-sm btn-block">
                        <i class="fas fa-trash-alt"></i>
                    </button>
                </span>
            </form>
            {{else}}
            <span class="badge badge-primary badge-pill">{{points}} poena</span>
            {{/if}}
        </li>

    </ul>
    {{/each}}
    {{/if}}
    {{/if}}

    {{else}}
    <div class="alert alert-warning" role="alert">
        <h4 class="alert-heading">Nema pitanja!</h4>
    </div>
    {{/if}}

    {{/intl}}